{}
Unit Config;
interface
{}
const
 LogName       = 'c:\Fido\Logs\rTrack.log';
 rTrackIniFile: String[10] = 'rTrack.ini';
{}
var
{ echos }
 UUEBase, InfoBase, RoboBase, AlecMailBase, MyMailBase, BadMailBase, DupeMailBase,
 LoopMailBase, RTRegBase, NetMailBase: String;

{ other }
 MainArea, uli, adr, TrackerName, TemplateDir, OutBoxes: String;
 PktCutSize: Longint;


{}
 procedure LoadIniParameters;

implementation

Uses rtapi;

procedure LoadIniParameters;
 var
  CurrentSection, CurrentValue, CurrentSValue: String;
  CurrentIValue: Integer;
 begin
  {  aka }
  CurrentSection:='akas';
  IniFindValue(True,rTrackIniFile,CurrentSection,CurrentValue);
  while not IniValueError do
   begin
    CurrentSValue:=IniReadString(rTrackIniFile,CurrentSection,CurrentValue);
    AddAka(CurrentValue,CurrentSValue);
    IniFindValue(False,rTrackIniFile,CurrentSection,CurrentValue);
   end;

  CurrentSection:='parameters';
  SetPktParams(IniReadString(rTrackIniFile,CurrentSection,'pkt from'),
               IniReadString(rTrackIniFile,CurrentSection,'pkt to'),
               IniReadString(rTrackIniFile,CurrentSection,'pkt password'));
  SetUtc(IniReadString(rTrackIniFile,CurrentSection,'utc'));
  MainArea:=IniReadString(rTrackIniFile,CurrentSection,'main area');
  TrackerName:=IniReadString(rTrackIniFile,CurrentSection,'tracker name');

  CurrentSection:='file names';
  CurrentSValue:=IniReadString(rTrackIniFile,CurrentSection,'route file');
  SetRouteFile(IniReadString(rTrackIniFile,CurrentSection,'route file'));
  SetDupeBase(IniReadString(rTrackIniFile,CurrentSection,'dupe base'),
              IniReadInteger(rTrackIniFile,CurrentSection,'max dupes'));

  CurrentSection:='folders';
  SetInboundDir(IniReadString(rTrackIniFile,CurrentSection,'secure inbound'),
                IniReadString(rTrackIniFile,CurrentSection,'unsecure inbound'));
  SetFileBox(IniReadString(rTrackIniFile,CurrentSection,'file boxes'),
             IniReadInteger(rTrackIniFile,CurrentSection,'box pkt cut'),
             IniReadBoolean(rTrackIniFile,CurrentSection,'long box'));
  OutBoxes:=IniReadString(rTrackIniFile,CurrentSection,'file boxes');
  PktCutSize:=IniReadInteger(rTrackIniFile,CurrentSection,'box pkt cut');
  SetNodelistDir(IniReadString(rTrackIniFile,CurrentSection,'nodelist'));
  SetBSO(IniReadString(rTrackIniFile,CurrentSection,'bso root'),
         IniReadInteger(rTrackIniFile,CurrentSection,'bso main zone'));
  TemplateDir:=IniReadString(rTrackIniFile,CurrentSection,'templates');

  CurrentSection:='bases';
  NetMailBase:=IniReadString(rTrackIniFile,CurrentSection,'shared netmail');
  SetNetMail(NetMailBase);
  UUEBase:=IniReadString(rTrackIniFile,CurrentSection,'uue');
  InfoBase:=IniReadString(rTrackIniFile,CurrentSection,'info');
  RoboBase:=IniReadString(rTrackIniFile,CurrentSection,'robo');
  MyMailBase:=IniReadString(rTrackIniFile,CurrentSection,'raVen''s netmail');
  AlecMailBase:=IniReadString(rTrackIniFile,CurrentSection,'Alec''s netmail');
  BadMailBase:=IniReadString(rTrackIniFile,CurrentSection,'bad netmail');
  DupeMailBase:=IniReadString(rTrackIniFile,CurrentSection,'dupe netmail');
  LoopMailBase:=IniReadString(rTrackIniFile,CurrentSection,'loop netmail');
  RTRegBase:=IniReadString(rTrackIniFile,CurrentSection,'rtrack reg base');

  CurrentSection:='additional ini';
  uli:=IniReadString(rTrackIniFile,CurrentSection,'uue limits');
  adr:=IniReadString(rTrackIniFile,CurrentSection,'address lists');
 end;

end.
{}
